// 导入插件
import './vue-mixin'
import './vxe-table'
import './filter'
import './vxe-table/table-formatter'
import Comps from '@/comps';
import JsonViewer from 'vue-json-viewer'
import VueCropper from 'vue-cropper'

// import AND from 'ant-design-vue'
// import 'ant-design-vue/dist/antd.css'
import directive from './directive'
import CmsDialog from "./comps/CmsDialog";

// 导入视频播放组件
import './video-plugins'
//全局引入
import VueCron from 'vue-cron'

import '@/icons' // icon
const Plugins = {
  install: function (Vue) {
    Vue.use(Comps);
    Vue.use(JsonViewer);
    Vue.use(VueCron);
    // Vue.use(AND);
    Vue.use(VueCropper); // 图片裁剪
    directive(Vue);
    Vue.use(CmsDialog)
  }
};
export default Plugins